## freebsd-utils 10.1~svn273304

=== src/bin/chflags/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	chflags

.include <bsd.prog.mk>

=== src/bin/kenv/Makefile ===
# $FreeBSD$

PROG=	kenv

.include <bsd.prog.mk>

=== src/etc/devd/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

FILES=	uath.conf usb.conf

.if ${MACHINE} == "powerpc"
FILES+=	apple.conf
.endif

.if ${MACHINE} == "amd64" || ${MACHINE} == "i386"
FILES+=	asus.conf
.endif

.if ${MK_HYPERV} != "no"
FILES+=	hyperv.conf
.endif

NO_OBJ=
FILESDIR=	/etc/devd
FILESMODE=	644

.include <bsd.prog.mk>

=== src/sbin/camcontrol/Makefile ===
# $FreeBSD$

PROG=	camcontrol
SRCS=	camcontrol.c util.c
.if !defined(RELEASE_CRUNCH)
SRCS+=	fwdownload.c modeedit.c persist.c progress.c
.else
CFLAGS+= -DMINIMALISTIC
.endif
# This is verboten
.if ${MACHINE_CPUARCH} == "arm"
WARNS?= 3
.endif
DPADD=	${LIBCAM} ${LIBSBUF} ${LIBUTIL}
LDADD=	-lcam -lsbuf -lutil
MAN=	camcontrol.8

.include <bsd.prog.mk>

=== src/sbin/ccdconfig/Makefile ===
# $FreeBSD$

PROG=	ccdconfig
MAN=	ccdconfig.8

DPADD=	${LIBGEOM}
LDADD=	-lgeom

.include <bsd.prog.mk>

=== src/sbin/devd/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG_CXX=devd
SRCS=	devd.cc token.l parse.y y.tab.h
MAN=	devd.8 devd.conf.5

WARNS?=	3

NO_SHARED?=YES

DPADD=	${LIBL} ${LIBUTIL}
LDADD=	-ll -lutil

YFLAGS+=-v
CFLAGS+=-I. -I${.CURDIR}

CLEANFILES= y.output

.if ${MK_TESTS} != "no"
SUBDIR+=    tests
.endif

.include <bsd.prog.mk>

=== src/sbin/devfs/Makefile ===
# $FreeBSD$

PROG=	devfs
SRCS=	devfs.c rule.c
MAN=	devfs.8

.include <bsd.prog.mk>

=== src/sbin/dmesg/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	dmesg
MAN=	dmesg.8

LDADD=	-lkvm
DPADD=	${LIBKVM}

.include <bsd.prog.mk>

=== src/sbin/dumpon/Makefile ===
# $FreeBSD$

PROG=	dumpon
MAN=	dumpon.8

.include <bsd.prog.mk>

=== src/sbin/fdisk/Makefile ===
# $FreeBSD$

PROG=	fdisk
SRCS=	fdisk.c geom_mbr_enc.c
WARNS?=	4
MAN=	fdisk.8

.PATH:	${.CURDIR}/../../sys/geom

DPADD+=	${LIBGEOM} ${LIBBSDXML} ${LIBSBUF}
LDADD+=	-lgeom -lbsdxml -lsbuf

.include <bsd.prog.mk>

test:	${PROG}
	sh ${.CURDIR}/runtest.sh

=== src/sbin/gbde/Makefile ===
# $FreeBSD$

PROG=	gbde
SRCS=	gbde.c template.c
SRCS+=	rijndael-alg-fst.c
SRCS+=	rijndael-api-fst.c
SRCS+=	sha2.c
SRCS+=	g_bde_lock.c

# rijndael-fst.c does evil casting things which can results in warnings,
# the test-vectors check out however, so it works right.
NO_WCAST_ALIGN=
NO_WMISSING_VARIABLE_DECLARATIONS=

CFLAGS+= -I${.CURDIR}/../../sys
.PATH:	${.CURDIR}/../../sys/geom/bde \
	${.CURDIR}/../../sys/crypto/rijndael \
	${.CURDIR}/../../sys/crypto/sha2

CLEANFILES+= template.c

MAN=	gbde.8
DPADD=	${LIBMD} ${LIBUTIL} ${LIBGEOM}
LDADD=	-lmd -lutil -lgeom

template.c: template.txt
	file2c 'const char template[] = {' ',0};' \
		< ${.CURDIR}/template.txt > template.c

test: ${PROG}
	sh ${.CURDIR}/test.sh ${.CURDIR}

.include <bsd.prog.mk>

=== src/sbin/geom/Makefile ===
# $FreeBSD$

.if defined(RESCUE) || defined(RELEASE_CRUNCH)

.PATH:	${.CURDIR}/class/part \
	${.CURDIR}/class/label \
	${.CURDIR}/core \
	${.CURDIR}/misc

PROG=	geom
SRCS=	geom.c geom_label.c geom_part.c subr.c
NO_MAN=

WARNS?=	2
CFLAGS+=-I${.CURDIR} -I${.CURDIR}/core -DSTATIC_GEOM_CLASSES

DPADD=	${LIBGEOM} ${LIBSBUF} ${LIBBSDXML} ${LIBUTIL}
LDADD=	-lgeom -lsbuf -lbsdxml -lutil

.include <bsd.prog.mk>

.else

SUBDIR=	core class

.include <bsd.subdir.mk>

.endif

=== debian/changelog ===
freebsd-utils (10.1~svn273304-1) unstable; urgency=medium

  [ Petr Salinger ]
  * Build-Depend on freebsd-mk >= 10.0-5 for MK_HYPERV

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-RC3~
  * Refresh patches: (with unexpanded revision tags;  a/ b/ paths;  no
    Index field;  no 'C function' context, not applicable here)
    - ppp_macros.diff
    - 035_nfs.diff
    - makefiles.diff
  * Delete patch mk_tests.diff: freebsd-mk now provides MK_TESTS
  * No longer try to set MK_TESTS in debian/rules;  use WITHOUT_TESTS
    instead
  * Set kern.ipc.shmall=32768 in /etc/sysctl.conf, as the kernel
    default is too low for some Qt applications (Closes: #763706)
  * netstat: work around a kfreebsd 9->10 ABI break;  allows tcp sockets
    to be shown again when running on kfreebsd-9 (Closes: 761418)

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 08 Oct 2014 22:18:48 +0100

freebsd-utils (10.1~svn272167-1) unstable; urgency=low

  * Add a version number for the experimental package that is actually
    larger than unstable's

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 23:02:09 -0700

freebsd-utils (10.1~svn271687-2) experimental; urgency=medium

  * Actually upload to experimental

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 21:31:53 -0700

freebsd-utils (10.1~svn271687-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * New upstream snapshot of 10.1-BETA3
  * Drop Breaks: on old kernel versions, which can't have the
    intended effect anyway until reboot (Closes: #756464)
  * Add myself to uploaders
  * In get-orig-source, svn export with --ignore-keywords so that                                                                                            
    revision tags do not fuzzy the patches 

  [ Christoph Egger ]
  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Fri, 17 Oct 2014 16:21:26 +0000

freebsd-utils (10.1~svn271687+really10.1~svn271687-1) experimental; urgency=medium

  * Add a version number for the experimental package that is actually
    larger than unstable's

 -- Christoph Egger <christoph@debian.org>  Tue, 16 Sep 2014 23:02:09 -0700

freebsd-utils (10.0+ds1-1) unstable; urgency=low

  [ Mats Erik Andersson ]
  * Fetch pf.conf(5) and pf.os(5) from new location.

  [ Robert Millan ]
  * Remove ifmediareq kludges. B-D on libc0.1-dev >= 2.18-2 instead.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 23:42:34 +0100

freebsd-utils (10.0-3) experimental; urgency=low

  * Add 'sysctl -p' support. Replace /sbin/sysctl wrapper script with
    actual binary.
  * Add /usr/{bin,sbin} to devd PATH (needed for /usr/bin/logger).
  * Disable parallel builds until switch to bmake (for some reason
    DPSRCS in kdump is ignored by fmake).

 -- Robert Millan <rmh@debian.org>  Mon, 17 Feb 2014 16:47:54 +0100

freebsd-utils (10.0-2) experimental; urgency=low

  * Handle USB keyboard attach/detach events.
  * Remove Build-Conflicts on libc0.1-dev-i386 (not needed anymore since
    kdump is now using headers from kfreebsd-headers-10.0-1).
  * Remove kludge that allowed auto-detected macros to be missing when
    building kdump. (Closes: #736202)
  * Consistently use the new SIOCAIFADDR ABI in ifconfig. (Closes: #736238)

 -- Robert Millan <rmh@debian.org>  Mon, 03 Feb 2014 23:25:03 +0100

freebsd-utils (10.0-1) experimental; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Remove atacontrol(8).

  [ Robert Millan ]
  * Add /etc/sysctl.conf. It used to be provided by procps, but now it
    isn't. Its content is kernel-specific anyway, so let's just use the
    FreeBSD version.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.

 -- Robert Millan <rmh@debian.org>  Tue, 21 Jan 2014 00:24:13 +0100

freebsd-utils (9.2+ds1-1) unstable; urgency=low

  * Drop freebsd-geom transitional package.
  * Fetch source code securely (https) in get-orig-source.
  * Split udeb build from normal build, using a separate objdir by means
    of MAKEOBJDIRPREFIX. This allows us to:
    - Optimize udeb build for size (-Os).
    - Build udeb with -DWITHOUT_IPX_SUPPORT (for ifconfig).
    - Restrict -DWITHOUT_JAIL only to udeb build. This effectively brings
      back jail support to ifconfig.
    - As a side requirement, source code is moved to src/ directory to
      prevent dh_install from mistakenly installing source directories as
      if they were executable files.
  * Leave -lbsdxml untouched (latest freebsd-glue supports it).
  * netstat_numeric_default.diff: Honor -n flag when listing the default
    route (for compatibility with Linux route(8)).
  * route_list.diff: When route is invoked with no arguments, fallback
    to "netstat -r" to list existing routes (for compatibility with
    Linux route(8)).

 -- Robert Millan <rmh@debian.org>  Wed, 25 Dec 2013 18:46:00 +0100

freebsd-utils (9.2-2) unstable; urgency=low

  [ Robert Millan ]
  * Simplify 031_savecore.diff by using zopen() from freebsd-glue.
  * Enable ifmac.c, iffib.c and ifpfsync.c in ifconfig.
    (Closes: #728374)
  * Remove cons25 transition kludge (was only needed for squeeze->wheezy
    upgrades).
  * Fix permissions for /dev/dri/card* devices.
  * Remove a few gratuitous library dependencies.
  * Misc patchset cleanup.
  * Remove kludge in jail(8). Use libutil-freebsd-dev to satisfy
    login_cap.h dependency instead.
  * Require freebsd-glue >= 0.2.4 to ensure trimdomain from libutil is
    used (rather than the static version in freebsd-glue << 0.2.4).
  * Remove kludge in ppp(8) to use liblockdev. Use libutil directly like
    upstream does.  (Closes: 728019)

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 01 Dec 2013 13:34:11 +0100

freebsd-utils (9.2-1) unstable; urgency=low

  * New upstream release.
    - Refresh all patches.
    - Bump B-D on freebsd-glue and libcam-dev.

  [ Robert Millan ]
  * Misc adjustments for freebsd-glue 0.1.0.


=== debian/control ===
Source: freebsd-utils
Section: utils
Priority: important
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders:
 Aurelien Jarno <aurel32@debian.org>,
 Robert Millan <rmh@debian.org>,
 Christoph Egger <christoph@debian.org>,
 Steven Chamberlain <steven@pyro.eu.org>,
Build-Depends: debhelper (>= 7), po-debconf, sharutils,
 flex | flex-old,
 freebsd-buildutils (>= 9.0-8~),
 freebsd-mk (>= 10.0-5~),
 freebsd-glue (>= 0.2.17~),
 kfreebsd-kernel-headers (>= 10.1~2),
# for kdump
 kfreebsd-headers-10.1-0,
 libc0.1-dev (>= 2.18-2~),
 libbsd-dev (>= 0.3.0),
# zlib1g-dev: savecore
 zlib1g-dev,
# libkvm-dev: dmesg
 libkvm-dev (>= 10.0),
 libmemstat-dev,
 libnetgraph-dev,
# libipx-dev: ifconfig
 libipx-dev,
# libkiconv-dev: mount_*
 libkiconv-dev,
# libdevstat-dev: mdconfig
 libdevstat-dev,
# libgeom-dev : ccdconfig, geom
 libgeom-dev,
# libsbuf-dev: ifconfig, mdconfig, geom
 libsbuf-dev (>= 8.2-2),
# libcam-dev: camcontrol
 libcam-dev (>= 10.1~),
# libedit-dev: pppctl
 libedit-dev,
# libexpat1-dev: ifconfig, geom
 libexpat1-dev,
# libtirpc-dev: mount_nfs, mountd, nfsd, rpc.lockd, rpc.statd
 libtirpc-dev,
# libjail-dev: jail, ifconfig
 libjail-dev,
# libssl-dev: geom
 libssl-dev,
# jail, ppp
 libutil-freebsd-dev,
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-utils/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-utils/
Standards-Version: 3.9.2

Package: freebsd-utils
Priority: required
Essential: yes
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Suggests: kbdcontrol, vidcontrol, freebsd-hackedutils (>= 6.1-3)
Conflicts: inetutils-tools (<= 2:1.4.3+20051212-4)
Replaces: freebsd-hackedutils (<= 6.1-3)
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.

Package: freebsd-utils-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD utilities needed for GNU/kFreeBSD
 This package provides FreeBSD utilities needed for GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kldutils
Architecture: kfreebsd-any
Depends: freebsd-utils, ${shlibs:Depends}, ${misc:Depends}
Conflicts: module-init-tools
Replaces: module-init-tools, freebsd-utils (<= 5.2.1-16),
 freebsd-hackedutils (<= 6.1-1), kfreebsd-common (<< 6.1-6)
Provides: module-init-tools
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.

Package: kldutils-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for managing kFreeBSD modules
 This package provides a set of programs for loading, inserting, and
 removing kernel modules for kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: kbdcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.

Package: kbdcontrol-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to change keyboard layout on GNU/kFreeBSD
 This package provides the original FreeBSD command to set keyboard layout,
 plus the possible FreeBSD keymaps.
 .
 This is a minimal package for use in debian-installer.

Package: vidcontrol
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line tool to control the system console on GNU/kFreeBSD
 This package provides the original FreeBSD command to control and configure
 the system console, plus the possible fonts and screen maps.

Package: freebsd-net-tools
Section: net
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces: freebsd-utils (<< 5.4), freebsd-hackedutils (<< 7), net-tools
Provides: net-tools
Breaks:
 ifupdown (<< 0.7~alpha5+really0.6.16~),
 isc-dhcp-client (<< 4.2.2-2~),
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.

Package: freebsd-net-tools-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: isc-dhcp-client-udeb (<< 4.2.2-2~)
Description: FreeBSD networking tools
 This package provides the FreeBSD tools needed to manage networking on
 GNU/kFreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: freebsd-nfs-server
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, freebsd-nfs-common
Provides: nfs-server, nfs-kernel-server
Description: FreeBSD server utilities needed for NFS on GNU/kFreeBSD
 This package provides FreeBSD utilities needed for NFS server on
 Debian GNU/kFreeBSD.

Package: freebsd-nfs-common
Section: net
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}, rpcbind
Provides: nfs-common
Description: NFS support files common to client and server
 Use this package on any machine that uses NFS, either as client or
 server.

Package: geom
Section: admin
Priority: standard
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
# for geom.geli.init
 kldutils,
Description: modular disk I/O request transformation framework
 The GEOM framework provides an infrastructure in which ``classes'' can
 perform transformations on disk I/O requests on their path from the upper
 kernel to the device drivers and back.
 .
 This package provides FreeBSD GEOM and associated utilities.

Package: freebsd-ppp
Section: net
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: freebsd-hackedutils
Replaces: freebsd-net-tools (<< 8.2+ds2-9)
Homepage: http://www.freebsd.org/doc/handbook/userppp.html
Description: FreeBSD Point-to-Point Protocol (PPP) userland daemon
 The Point-to-Point Protocol provides a standard way to transmit
 datagrams over a serial link, as well as a standard way for the
 machines at either end of the link to negotiate various optional
 characteristics of the link.
 .
 This package provides both a server and a client PPP daemon that runs
 in userland.

Package: devd
Section: admin
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends},
# for devd.init
 kldutils,
Replaces: freebsd-utils (<< 8.2+ds2-9)
Description: device state change monitoring daemon
 The devd daemon runs actions specified in a configuration file when certain
 kernel events (such as device addition or removal) happen.

Package: devd-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: device state change monitoring daemon
 The devd daemon runs actions specified in a configuration file when certain
 kernel events (such as device addition or removal) happen.
 .
 This is a minimal package for use in debian-installer.

Package: ktrace
Priority: optional
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 8.2+ds2-9)
Description: A kernel call tracer
 ktrace is a kernel call tracer, i.e. a debugging tool which prints out
 a trace of all the kernel calls made by a another process/program.
 .
 Kernel calls and signals are events that happen at the user/kernel
 interface. A close examination of this boundary is very useful for bug
 isolation, sanity checking and attempting to capture race conditions.

Package: pf
Section: net
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: freebsd-net-tools (<< 8.2+ds2-11)
Replaces: freebsd-net-tools (<< 8.2+ds2-11)
Homepage: http://www.openbsd.org/faq/pf/
Description: The OpenBSD Packet Filter
 Packet Filter (from here on referred to as PF) is OpenBSD's system for
 filtering TCP/IP traffic and doing Network Address Translation. PF is also
 capable of normalizing and conditioning TCP/IP traffic and providing
 bandwidth control and packet prioritization.
 .
 This version of PF has been ported to FreeBSD by the FreeBSD project, and
 subsequently to GNU/kFreeBSD by the Debian project.

Package: powerd
Priority: standard
Section: admin
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System utility for power control and energy saving
 The powerd utility monitors the system state and sets various power control
 options accordingly, such as CPU frequency and power management modes.

Package: mkuzip
Priority: extra
Section: misc
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: freebsd-utils (<< 8.2+ds3-3)
Description: Disk image compression utility
 The mkuzip utility compresses a disk image file so that the geom_uzip(4) class
 will be able to decompress the resulting image at run-time. This allows for a
 significant reduction of size of disk image at the expense of some CPU time
 required to decompress the data each time it is read.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

export SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -pipe -fPIC -D_GNU_SOURCE \
	-isystem /usr/include/tirpc \
	-Werror=implicit-function-declaration \
	-isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include -I$(CURDIR)/src/include -lbsd \
	$(NULL)
CXXFLAGS = $(CFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

	# Do not mess with MAKEFLAGS until we transfer control to BSD make (see below)
#	BSD_MAKEFLAGS += -j$(NUMJOBS)
endif

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

SVN_BASE	:= https://svn0.us-west.freebsd.org/base
#SVN		:= $(SVN_BASE)/release/$(version).0
SVN		:= $(SVN_BASE)/releng/$(version)
#SVN		:= $(SVN_BASE)/stable/$(major)
#SVN		:= $(SVN_BASE)/base/head

SOURCE = freebsd-utils
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	MAKEOBJDIRPREFIX=$(CURDIR)/obj-deb \
	CFLAGS="$(CFLAGS)" \
	NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO WITHOUT_TESTS=yes \
	DESTDIR="$(DESTDIR)" \
	make -C src $(PMAKE_FLAGS)
PMAKE_UDEB = \
	MAKEFLAGS=$(BSD_MAKEFLAGS) \
	MAKEOBJDIRPREFIX=$(CURDIR)/obj-udeb \
	CFLAGS="$(CFLAGS) -Os" \
	NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
	DESTDIR="$(DESTDIR)-udeb" \
	make -C src $(PMAKE_FLAGS) \
	-DRESCUE=yes \
	-DWITHOUT_JAIL \
	-DWITHOUT_IPX_SUPPORT \
	$(NULL)

# for ppp
PMAKE_FLAGS += -DPPP_NO_PAM -DPPP_NO_NAT -DPPP_NO_DES -DPPP_NO_SUID -DPPP_NO_ATM -DPPP_NO_RADIUS

RPCHDRS= \
	src/include/rpcsvc/nfs_prot.h \
	src/include/rpcsvc/nlm_prot.h \
	src/include/rpcsvc/mount.h \
	src/include/rpcsvc/sm_inter.h \
	src/sys/kgssapi/gssd.h

.SUFFIXES: .x .h

.x.h:
	rpcgen -h -DWANT_NFS3 $< -o $@

build: build-arch build-indep

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p \
		$(ORIGDIR)/src/sys/kern \
		$(ORIGDIR)/src/sys/amd64/linux32 \
		$(ORIGDIR)/src/sys/i386/linux \
		$(ORIGDIR)/src/sys/dev/usb \
		$(ORIGDIR)/src/sys/kgssapi \
		$(ORIGDIR)/src/etc/rc.d \
		$(ORIGDIR)/src/include/rpcsvc \
		$(ORIGDIR)/src/{bin,sbin,usr.bin,usr.sbin} \
		$(ORIGDIR)/src/share/man/man5 \
		$(NULL)
	for i in sbin/dmesg \
		sbin/sysctl etc/sysctl.conf \
		\
		bin/Makefile.inc \
		sbin/Makefile.inc \
		usr.bin/Makefile.inc \
		usr.sbin/Makefile.inc \
		\
		usr.bin/kdump \
		usr.bin/ktrace \
		sys/kern/syscalls.c \
		sys/kern/makesyscalls.sh \
		sys/amd64/linux32/syscalls.master \
		sys/i386/linux/syscalls.master \
		\
		 usr.sbin/jail bin/chflags \
		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
		 usr.sbin/acpi/acpiconf \
		usr.sbin/acpi/Makefile \
		usr.sbin/acpi/Makefile.inc \
		sys/contrib/dev/acpica/include \
		 sbin/kldconfig sbin/kldload sbin/kldstat sbin/kldunload \
		 usr.bin/ktrdump usr.bin/vmstat sbin/devfs sbin/fdisk \
		 sbin/ifconfig etc/regdomain.xml \
		 sbin/route usr.bin/netstat usr.sbin/rpc.umntall \
		 usr.sbin/ppp usr.sbin/pppctl usr.sbin/arp usr.bin/mkuzip \
		 sbin/ipfw contrib/pf sbin/pfctl sbin/pflogd usr.sbin/authpf sys/netpfil/pf \
		 sbin/umount sbin/mount_cd9660 \
		 sbin/mount_msdosfs \
		sbin/mount_fusefs \
		sbin/mount_nullfs sbin/mount_udf sbin/mount_unionfs \
		sbin/mount \
		 sbin/mdconfig sbin/ccdconfig sbin/swapon sbin/camcontrol \
		 sbin/gbde bin/kenv \
		 sbin/geom sys/geom/eli sys/crypto/sha2 \
		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
		etc/rc.d/syscons \
		 sbin/savecore sbin/dumpon \
		share/examples/pf etc/pf.os \
		share/man/man5/pf.conf.5 share/man/man5/pf.os.5 \
		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
		 sbin/nfsiod \
		 sbin/mount_nfs \
		 include/rpcsvc/nfs_prot.x include/rpcsvc/sm_inter.x \
		 include/rpcsvc/nlm_prot.x include/rpcsvc/mount.x \
		 sys/kgssapi/gssd.x \
		 usr.bin/showmount \
		 usr.sbin/powerd \
	; do \
	    svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i || exit ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

build-arch: build-deb build-udeb
build-indep:
	:

build-deb: build-deb-stamp
build-deb-stamp:$(RPCHDRS)
	$(PMAKE) obj
	$(PMAKE)
	touch $@

build-udeb: build-udeb-stamp
build-udeb-stamp:
	$(PMAKE_UDEB) obj
	$(PMAKE_UDEB)
	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -rf obj{-deb,-udeb} debian/tmp-udeb

	$(RM) $(RPCHDRS)

	rm -f *stamp
	dh_clean

install: install-indep install-arch
install-indep:

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	rm -rf debian/tmp-udeb

	mkdir -p debian/tmp{,-udeb}/{{,usr/}{bin,sbin},usr/share/man/man{1,5,8},lib/geom,etc/devd,usr/share/syscons/scrnmaps}

	$(PMAKE) install
	$(PMAKE_UDEB) install

	dh_install -a

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependant files that arn't kernel modules here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -pfreebsd-utils -- start 03 S .
	dh_installinit -pdevd -- start 03 S . stop 01 0 1 6 .
	dh_installinit -pkldutils --no-start -- start 12 S .
	dh_installinit -pkbdcontrol -- start 20 S .
	dh_installinit -ppowerd -- start 20 2 3 4 5 S . stop 80 0 1 6 .
	dh_installinit -pfreebsd-ppp -- start 20 2 3 4 5 . stop 80 0 1 6 .
	dh_installinit -pfreebsd-nfs-common --name=rpc.statd -- start 20 2 3 4 5 S . stop 20 0 1 6 .
	dh_installinit -pfreebsd-nfs-common --name=rpc.lockd -- start 20 2 3 4 5 S . stop 20 0 1 6 .
	dh_installinit -pfreebsd-nfs-common --name=nfsiod -- start 20 2 3 4 5 S . stop 20 0 1 6 .
	dh_installinit -pfreebsd-nfs-server --name=mountd -- start 20 2 3 4 5 S . stop 80 0 1 6 .
	dh_installinit -pfreebsd-nfs-server --name=nfsd -- start 20 2 3 4 5 S . stop 80 0 1 6 .
	dh_installinit -pgeom --no-restart-on-upgrade --name=geli -- start 26 S . stop 50 0 6 .
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X/usr/bin/netstat
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## freebsd-utils 10.3~svn296373

=== src/etc/devd/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

FILES=

.if ${MACHINE} == "powerpc"
FILES+=	apple.conf
.endif

.if ${MACHINE} == "amd64" || ${MACHINE} == "i386"
.if ${MK_ACPI} != "no"
FILES+=	asus.conf
.endif
.if ${MK_HYPERV} != "no"
FILES+=	hyperv.conf
.endif
.endif
.if ${MK_USB} != "no"
FILES+=	uath.conf usb.conf
.endif

.if ${MK_ZFS} != "no"
FILES+=	zfs.conf
.endif

NO_OBJ=
FILESDIR=	/etc/devd
FILESMODE=	644

.include <bsd.prog.mk>

=== src/sbin/camcontrol/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROG=	camcontrol
 SRCS=	camcontrol.c util.c
 .if !defined(RELEASE_CRUNCH)
-SRCS+=	fwdownload.c modeedit.c persist.c progress.c
+SRCS+=	attrib.c fwdownload.c modeedit.c persist.c progress.c
 .else
 CFLAGS+= -DMINIMALISTIC
 .endif

=== src/sbin/geom/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 PROG=	geom
 SRCS=	geom.c geom_label.c geom_part.c subr.c
-NO_MAN=
+MAN=
 
 WARNS?=	2
 CFLAGS+=-I${.CURDIR} -I${.CURDIR}/core -DSTATIC_GEOM_CLASSES

=== src/sbin/ifconfig/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

.include <bsd.own.mk>

PROG=	ifconfig

SRCS=	ifconfig.c		# base support

#
# NB: The order here defines the order in which the constructors
#     are called.  This in turn defines the default order in which
#     status is displayed.  Probably should add a priority mechanism
#     to the registration process so we don't depend on this aspect
#     of the toolchain.
#
SRCS+=	af_link.c		# LLC support
.if ${MK_INET_SUPPORT} != "no"
SRCS+=	af_inet.c		# IPv4 support
.endif
.if ${MK_INET6_SUPPORT} != "no"
SRCS+=	af_inet6.c		# IPv6 support
.endif
SRCS+=	af_atalk.c		# AppleTalk support
.if ${MK_INET6_SUPPORT} != "no"
SRCS+=	af_nd6.c		# ND6 support
.endif

SRCS+=	ifclone.c		# clone device support
SRCS+=	ifmac.c			# MAC support
SRCS+=	ifmedia.c		# SIOC[GS]IFMEDIA support
SRCS+=	iffib.c			# non-default FIB support
SRCS+=	ifvlan.c		# SIOC[GS]ETVLAN support
SRCS+=	ifvxlan.c		# VXLAN support
SRCS+=	ifgre.c			# GRE keys etc
SRCS+=	ifgif.c			# GIF reversed header workaround

SRCS+=	sfp.c			# SFP/SFP+ information
DPADD+=	${LIBM}
LDADD+=	-lm

SRCS+=	ifieee80211.c regdomain.c # SIOC[GS]IEEE80211 support
DPADD+=	${LIBBSDXML} ${LIBSBUF}
LDADD+=	-lbsdxml -lsbuf

SRCS+=	carp.c			# SIOC[GS]VH support
SRCS+=	ifgroup.c		# ...
.if ${MK_PF} != "no"
SRCS+=	ifpfsync.c		# pfsync(4) support
.endif

SRCS+=	ifbridge.c		# bridge support
SRCS+=	iflagg.c		# lagg support

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif
.if ${MK_INET_SUPPORT} != "no"
CFLAGS+= -DINET
.endif
.if ${MK_IPX_SUPPORT} != "no" && !defined(RELEASE_CRUNCH)
SRCS+=	af_ipx.c		# IPX support
DPADD+=	${LIBIPX}
LDADD+=	-lipx
.endif
.if ${MK_JAIL} != "no" && !defined(RELEASE_CRUNCH) && !defined(RESCUE)
CFLAGS+= -DJAIL
DPADD+= ${LIBJAIL}
LDADD+= -ljail
.endif

MAN=	ifconfig.8

CFLAGS+= -Wall -Wmissing-prototypes -Wcast-qual -Wwrite-strings -Wnested-externs
WARNS?=	2

.include <bsd.prog.mk>

=== src/sbin/mount_nfs/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/27/94
#
# $FreeBSD$

PROG=	mount_nfs
SRCS=	mount_nfs.c getmntopts.c mounttab.c
MAN=	mount_nfs.8
MLINKS=	mount_nfs.8 mount_oldnfs.8

MOUNT=	${.CURDIR}/../mount
UMNTALL= ${.CURDIR}/../../usr.sbin/rpc.umntall
CFLAGS+= -DNFS -I${MOUNT} -I${UMNTALL}

LINKS=	${BINDIR}/mount_nfs ${BINDIR}/mount_oldnfs

.PATH: ${MOUNT} ${UMNTALL}

.include <bsd.prog.mk>

=== src/share/syscons/Makefile ===
# $FreeBSD$

SUBDIR= fonts keymaps scrnmaps
SUBDIR_PARALLEL=

.include <bsd.subdir.mk>

=== src/usr.bin/kdump/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

.include <bsd.own.mk>

.PATH: ${.CURDIR}/../ktrace

PROG=		kdump
SRCS=		kdump_subr.c kdump_subr.h kdump.c ioctl.c subr.c
CFLAGS+=	-I${.CURDIR}/../ktrace -I${.CURDIR} -I${.CURDIR}/../.. -I.

.if ${MK_PF} != "no"
CFLAGS+=-DPF
.endif

NO_WERROR?=	YES

CLEANFILES=	ioctl.c kdump_subr.c kdump_subr.h

.if (${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386")
CLEANFILES+=	linux_syscalls.c
.endif
.if (${MACHINE_ARCH} == "amd64")
CLEANFILES+=	linux32_syscalls.c
.endif

ioctl.c: mkioctls
	env MACHINE=${MACHINE} CPP="${CPP}" \
	    sh ${.CURDIR}/mkioctls print ${DESTDIR}/usr/include > ${.TARGET}

kdump_subr.h: mksubr
	sh ${.CURDIR}/mksubr ${DESTDIR}/usr/include | \
	    sed -n 's/^\([a-z].*)\)$$/void \1;/p' >${.TARGET}

kdump_subr.c: mksubr kdump_subr.h
	sh ${.CURDIR}/mksubr ${DESTDIR}/usr/include >${.TARGET}
.if (${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386")
	sh ${.CURDIR}/../../sys/kern/makesyscalls.sh \
	    ${.CURDIR}/../../sys/${MACHINE_ARCH}/linux/syscalls.master ${.CURDIR}/linux_syscalls.conf
.endif
.if (${MACHINE_ARCH} == "amd64")
	sh ${.CURDIR}/../../sys/kern/makesyscalls.sh \
	    ${.CURDIR}/../../sys/${MACHINE_ARCH}/linux32/syscalls.master ${.CURDIR}/linux32_syscalls.conf
.endif

.include <bsd.prog.mk>

=== src/usr.sbin/jexec/Makefile ===
# $FreeBSD$

PROG=	jexec
MAN=	jexec.8
DPADD=	${LIBJAIL} ${LIBUTIL}
LDADD=	-ljail -lutil

.include <bsd.prog.mk>

=== src/usr.sbin/jls/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=	jls
MAN=	jls.8
DPADD=	${LIBJAIL}
LDADD=	-ljail

.if ${MK_INET6_SUPPORT} != "no"
CFLAGS+= -DINET6
.endif
.if ${MK_INET_SUPPORT} != "no"
CFLAGS+= -DINET
.endif

.include <bsd.prog.mk>

=== src/usr.sbin/ppp/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

PROG=	ppp
MAN=	ppp.8
SRCS=	acf.c arp.c async.c auth.c bundle.c cbcp.c ccp.c chap.c chat.c \
	command.c datalink.c deflate.c defs.c exec.c filter.c fsm.c hdlc.c \
	iface.c ip.c ipcp.c ipv6cp.c iplist.c lcp.c link.c log.c lqr.c main.c \
	mbuf.c mp.c ncp.c ncpaddr.c pap.c physical.c pred.c probe.c prompt.c \
	proto.c route.c server.c sig.c slcompress.c sync.c systems.c tcp.c \
	tcpmss.c throughput.c timer.c tty.c tun.c udp.c vjcomp.c
WARNS?=	3
.if defined(RELEASE_CRUNCH)
CFLAGS+=-DRELEASE_CRUNCH
PPP_NO_ATM=
PPP_NO_DES=
PPP_NO_KLDLOAD=
PPP_NO_NAT=
PPP_NO_PAM=
PPP_NO_RADIUS=
PPP_NO_SUID=
.endif

.if ${MK_ATM} == "no"
PPP_NO_ATM=
.endif
.if ${MK_NETGRAPH} == "no"
PPP_NO_NETGRAPH=
.endif
.if ${MK_PAM_SUPPORT} == "no"
PPP_NO_PAM=
.endif
.if ${MK_RADIUS_SUPPORT} == "no"
PPP_NO_RADIUS=
.endif

.if defined(PPP_NO_SUID)
BINMODE=554
.else
BINMODE=4554
BINOWN=	root
.endif
BINGRP=	network
M4FLAGS=

LDADD= -lcrypt -lmd -lutil -lz
DPADD=	${LIBCRYPT} ${LIBMD} ${LIBUTIL} ${LIBZ}

.if defined(PPP_CONFDIR) && !empty(PPP_CONFDIR)
CFLAGS+=-DPPP_CONFDIR=\"${PPP_CONFDIR}\"
.endif

.if defined(PPP_NO_KLDLOAD)
CFLAGS+=-DNOKLDLOAD
.endif

.if ${MK_INET6_SUPPORT} == "no"
CFLAGS+=-DNOINET6
.endif

.if defined(PPP_NO_NAT)
CFLAGS+=-DNONAT
.else
SRCS+=	nat_cmd.c
LDADD+=	-lalias
DPADD+= ${LIBALIAS}
.endif

.if defined(PPP_NO_ATM)
CFLAGS+=-DNOATM
.else
SRCS+=	atm.c
.endif

.if defined(PPP_NO_SUID)
CFLAGS+=-DNOSUID
.else
SRCS+=	id.c
.endif

.if defined(RELEASE_CRUNCH) || ${MK_OPENSSL} == "no" || \
    defined(PPP_NO_DES)
CFLAGS+=-DNODES
.else
SRCS+=	chap_ms.c mppe.c
LDADD+= -lcrypto
DPADD+= ${LIBCRYPTO}
.endif

.if defined(PPP_NO_RADIUS)
CFLAGS+=-DNORADIUS
.else
SRCS+=	radius.c
LDADD+=	-lradius
DPADD+= ${LIBRADIUS}
.endif

.if defined(PPP_NO_NETGRAPH)
CFLAGS+=-DNONETGRAPH
.else
SRCS+=	ether.c
LDADD+=	-lnetgraph
DPADD+= ${LIBNETGRAPH}
.if defined(EXPERIMENTAL_NETGRAPH)
CFLAGS+=-DEXPERIMENTAL_NETGRAPH
SRCS+=	netgraph.c
.endif
.endif

.if defined(PPP_NO_PAM)
CFLAGS+=-DNOPAM
.else
LDADD+=	${MINUSLPAM}
DPADD+=	${LIBPAM}
.endif

.include <bsd.prog.mk>

=== src/sbin/mdconfig/tests/Makefile ===
# $FreeBSD$

TESTSDIR=	${TESTSBASE}/sbin/mdconfig

ATF_TESTS_SH=	mdconfig_test


TEST_METADATA.mdconfig_test+=	required_user="root"

.include <bsd.test.mk>

=== src/usr.sbin/acpi/acpiconf/Makefile ===
# $Id: Makefile,v 1.2 2000/07/14 18:16:25 iwasaki Exp $
# $FreeBSD$

PROG=	acpiconf
MAN=	acpiconf.8
WARNS?=	3

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-utils (10.3~svn296373-4) unstable; urgency=medium

  * geli_openssl_1_1.diff: Upstream patch to fix FTBFS with OpenSSL 1.1
  * nlist.h: Bundle patched copy to workaround upstream libbsd bug

 -- James Clarke <jrtc27@debian.org>  Sun, 03 Feb 2019 00:17:04 +0000

freebsd-utils (10.3~svn296373-3) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Update my email address in Uploaders
  * Bump Build-Depends: libcam-dev (>= 10.3~) for new scsi_da.h
    functions
  * Update Vcs-Browser and Vcs-Git fields

  [ James Clarke ]
  * Fix FTBFS with GCC 6.1.0 and later
  * Add myself to Uploaders

 -- James Clarke <jrtc27@debian.org>  Sat, 02 Feb 2019 21:56:57 +0000

freebsd-utils (10.3~svn296373-2) unstable; urgency=medium

  * Upload to unstable
  * Now using debhelper compat v9
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Link against the PIC version of C runtime, so that PIE can be
    enabled.
    - pie.diff
  * Use architecture.mk instead of individual calls to dpkg-architecture
  * Use the proper host architecture compiler

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 07 May 2016 00:30:27 +0100

freebsd-utils (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC3
  * Refresh patches:
    - 017_sysctl.diff
    - 022_devd.diff
    - 026_kdump.diff
    - 035_nfs.diff
    - makefiles.diff
    - netstat_maddrs.diff
    - netstat_oqdrops.diff
    - fstype_alias.diff
    - rpc.lockd-startup-fix.diff
  * Use XZ to compress orig source tarball
  * Make get-orig-source tarball reproducible
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).
  * Bump Build-Depends: kfreebsd-kernel-headers to (>= 10.3~2~)
  * Bump Build-Depends: libutil-freebsd-dev to (>= 10.3~svn296373-4~)
    for kinfo_getvmobject
  * Bump Build-Depends: kfreebsd-headers-10.1-0 to 10.3-0
  * Bump Build-Depends: libc0.1-dev (>= 2.22-8~) for new if.h structs

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 11:16:07 +0100

freebsd-utils (10.1~svn273304+ds1-1) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Upload to unstable
  * Support +ds source_version suffix in svn_revision

  [ Hideki Yamane ]
  * Add jls(8) and jexec(8) tools for jails administration
    (Closes: #806562)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 08 Dec 2015 18:52:10 +0000

freebsd-utils (10.1~svn273304-2) experimental; urgency=medium

  * fstype_alias.diff:  accept some Linux-style names for `mount -t`
    filesystem types:
    - ext2 for ext2fs
    - ext3 for ext3fs
    - ext4 for ext4fs
    - cifs for smbfs

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 26 Oct 2014 18:50:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Aurelien Jarno <aurel32@debian.org>,
  Robert Millan <rmh@debian.org>,
  Christoph Egger <christoph@debian.org>,
- Steven Chamberlain <steven@pyro.eu.org>,
-Build-Depends: debhelper (>= 7), po-debconf, sharutils,
+ Steven Chamberlain <stevenc@debian.org>,
+ James Clarke <jrtc27@debian.org>,
+Build-Depends: debhelper (>= 9), po-debconf, sharutils,
+ dpkg-dev (>= 1.16.1.1),
  flex | flex-old,
  freebsd-buildutils (>= 9.0-8~),
  freebsd-mk (>= 10.0-5~),
  freebsd-glue (>= 0.2.17~),
- kfreebsd-kernel-headers (>= 10.1~2),
+ kfreebsd-kernel-headers (>= 10.3~2~),
 # for kdump
- kfreebsd-headers-10.1-0,
- libc0.1-dev (>= 2.18-2~),
+ kfreebsd-headers-10.3-0,
+ libc0.1-dev (>= 2.22-8~),
  libbsd-dev (>= 0.3.0),
 # zlib1g-dev: savecore
  zlib1g-dev,
@@ -34,7 +36,7 @@
 # libsbuf-dev: ifconfig, mdconfig, geom
  libsbuf-dev (>= 8.2-2),
 # libcam-dev: camcontrol
- libcam-dev (>= 10.1~),
+ libcam-dev (>= 10.3~),
 # libedit-dev: pppctl
  libedit-dev,
 # libexpat1-dev: ifconfig, geom
@@ -46,10 +48,10 @@
 # libssl-dev: geom
  libssl-dev,
 # jail, ppp
- libutil-freebsd-dev,
-Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/freebsd-utils/
-Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/freebsd-utils/
-Standards-Version: 3.9.2
+ libutil-freebsd-dev (>= 10.3~svn296373-4~),
+Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/bsd-team/freebsd-utils
+Vcs-Git: https://salsa.debian.org/bsd-team/freebsd-utils.git
 
 Package: freebsd-utils
 Priority: required

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,42 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g -pipe -fPIC -D_GNU_SOURCE \
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)[+-].*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+major		:= $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
+
+include /usr/share/dpkg/architecture.mk
+
+# Determine host architecture compiler
+ifeq ($(origin CC),default)
+CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
+ifeq ($(origin CXX),default)
+CXX := $(DEB_HOST_GNU_TYPE)-g++
+endif
+
+# Use hardening flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Pre-define CFLAGS, for hardening, debug and optimisation level
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+EXTRA_CFLAGS = \
+	-D_GNU_SOURCE -pipe -Wall \
+	-Werror=implicit-function-declaration \
+	-I$(CURDIR)/debian/local/include -I$(CURDIR)/src/include \
+	-isystem /usr/include/freebsd \
 	-isystem /usr/include/tirpc \
-	-Werror=implicit-function-declaration \
-	-isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include -I$(CURDIR)/src/include -lbsd \
+	-fPIC \
+	-lbsd \
+	$(CPPFLAGS) \
 	$(NULL)
-CXXFLAGS = $(CFLAGS)
-
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-	CXXFLAGS += -O0
-else
-	CFLAGS += -O2
-	CXXFLAGS += -O2
-endif
+CFLAGS   += $(EXTRA_CFLAGS)
+CXXFLAGS += $(EXTRA_CFLAGS)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -29,42 +51,43 @@
 #	BSD_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
-tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
-svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
-version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
-major           := $(shell echo $(version) | sed -e 's/\..*//g')
-revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
-
-SVN_BASE	:= https://svn0.us-west.freebsd.org/base
+SVN_BASE	:= https://svn.freebsd.org/base
 #SVN		:= $(SVN_BASE)/release/$(version).0
 SVN		:= $(SVN_BASE)/releng/$(version)
 #SVN		:= $(SVN_BASE)/stable/$(major)
-#SVN		:= $(SVN_BASE)/base/head
+#SVN		:= $(SVN_BASE)/head
 
 SOURCE = freebsd-utils
 ORIGDIR = $(SOURCE)-$(tar_version)
-TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.xz
+SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
+PMAKE_COMMON = \
+	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	NO_WERROR=1 NOGCCERROR=1 \
+	NOSHARED=NO NO_SHARED=NO \
+	make -C src $(PMAKE_FLAGS) \
+	CC=$(CC) \
+	CXX=$(CXX) \
+	$(NULL)
 PMAKE = \
-	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	CFLAGS="$(CFLAGS)" \
+	CXXFLAGS="$(CXXFLAGS)" \
+	DESTDIR="$(DESTDIR)" \
 	MAKEOBJDIRPREFIX=$(CURDIR)/obj-deb \
-	CFLAGS="$(CFLAGS)" \
-	NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO WITHOUT_TESTS=yes \
-	DESTDIR="$(DESTDIR)" \
-	make -C src $(PMAKE_FLAGS)
+	WITHOUT_TESTS=yes \
+	$(PMAKE_COMMON)
 PMAKE_UDEB = \
-	MAKEFLAGS=$(BSD_MAKEFLAGS) \
+	CFLAGS="$(CFLAGS) -Os" \
+	CXXFLAGS="$(CXXFLAGS) -Os" \
+	DESTDIR="$(DESTDIR)-udeb" \
 	MAKEOBJDIRPREFIX=$(CURDIR)/obj-udeb \
-	CFLAGS="$(CFLAGS) -Os" \
-	NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
-	DESTDIR="$(DESTDIR)-udeb" \
-	make -C src $(PMAKE_FLAGS) \
+	$(PMAKE_COMMON) \
 	-DRESCUE=yes \
+	-DWITHOUT_IPX_SUPPORT \
 	-DWITHOUT_JAIL \
-	-DWITHOUT_IPX_SUPPORT \
 	$(NULL)
 
 # for ppp
@@ -88,6 +111,7 @@
 	rm -rf $(ORIGDIR)
 	mkdir -p \
 		$(ORIGDIR)/src/sys/kern \
+		$(ORIGDIR)/src/sys/amd64/linux \
 		$(ORIGDIR)/src/sys/amd64/linux32 \
 		$(ORIGDIR)/src/sys/i386/linux \
 		$(ORIGDIR)/src/sys/dev/usb \
@@ -109,10 +133,12 @@
 		usr.bin/ktrace \
 		sys/kern/syscalls.c \
 		sys/kern/makesyscalls.sh \
+		sys/amd64/linux/syscalls.master \
 		sys/amd64/linux32/syscalls.master \
 		sys/i386/linux/syscalls.master \
 		\
 		 usr.sbin/jail bin/chflags \
+		 usr.sbin/jexec usr.sbin/jls \
 		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
 		 usr.sbin/acpi/acpiconf \
 		usr.sbin/acpi/Makefile \
@@ -150,7 +176,16 @@
 	; do \
 	    svn export --ignore-keywords -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/src/$$i || exit ; \
 	done
-	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
+	# Clamp timestamps to be no newer than last changelog entry, see
+	# https://wiki.debian.org/ReproducibleBuilds/TimestampsInTarball
+	find $(ORIGDIR) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 \
+	 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
+	# Create tarball with files sorted in a stable order, see
+	# https://wiki.debian.org/ReproducibleBuilds/FileOrderInTarballs
+	find $(ORIGDIR) -print0 | LC_ALL=C sort -z \
+	 | tar --null --no-recursion --files-from - \
+	    --numeric-owner --owner 0 --group 0 \
+	    -cJf ../$(TARNAME)
 	rm -rf $(ORIGDIR)
 
 build-arch: build-deb build-udeb
@@ -240,8 +275,3 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
